#declare Cl1 =
    pigment {
    granite
    color_map {
        [0.2 rgbt 1]
        [0.7 rgbt <1,1,1,0.25>]
        [1 rgb 1]
            }
        scale <5,3,5>
        }

#declare Cl2 =
    pigment {
    granite
    color_map {
        [0.2 rgbt 1]
        [0.4 rgbt <1,1,1,0.25>]
        [1 rgb 1]
            }
        scale <5,1,5>
        }

#declare Cl3 =
    pigment {
    bozo
    turbulence 3
    color_map {
        [0.2 rgbt 1]
        [0.7 rgbt <1,1,1,0.25>]
        [1 rgb 1]
            }
        scale <5,1,5>*0.15
        }

///////////////

#declare Planet1 =
union {
	sphere {<0,0,0>, 8
	pigment {
    granite
    colour_map {
        [0.5 rgb <0.385,0.374,0.96>]
        [0.6 rgb <0.4,0.532,0.6>]
        [1 rgb <0.46,0.85,0.23>]
            }
        scale 30
        }
	finish { Pldull }
	}

	disc {<0,0,0>,<0,1,0>, 18
    pigment {
    onion 
    colour_map {
        [0.175 rgbt 1]
        [0.2 rgbt <0,1,1,0.1535>]
        [0.25 rgbt 1]
        [0.275 rgbt 1]
        [0.3 rgbt <1,0.5,0,0.1535>]
        [0.325 rgbt 1]
        [0.375 rgbt 1]
        [0.4 rgbt <1,0,0,0.1535>]
        [0.425 rgbt 1]
        [0.475 rgbt 1]
        [0.5 rgbt <0,0,1,0.1535>]
        [0.525 rgbt 1]
        [0.575 rgbt 1]
        [0.6 rgbt <0,1,0,0.1535>]
        [0.625 rgbt 1]
        [0.675 rgbt 1]
        [0.7 rgbt <1,1,0,0.1535>]
        [0.725 rgbt 1]
        [0.775 rgbt 1]
        [0.8 rgbt <1,0,1,0.1535>]
        [0.825 rgbt 1]
        [0.875 rgbt 1]
        [0.9 rgbt <1,0.5,0.5,0.1535>]
        [0.925 rgbt 1]
            }
        scale 15
        }
    rotate <0,0,-25>
    rotate <-50,0,0>
    }
}

//////////

#declare Planet2 =
sphere {<0,0,0>, 8
    pigment {
        marble
        turbulence 1
		octaves 3
		lambda 2
        colour_map {
            [0 rgb <1,0.5,0>]
            [0.6 rgb <1,1,0>]
            [1 rgb <0,0,0.5>]
                }
            scale 6
            }
		finish { Pldull }
		normal {
			marble
			turbulence 1
			octaves 3
			lambda 2
			normal_map {
				[0 marble 0.24 turbulence 3.5 ]
				[0.3 bumps 0.1 scale 2.25]
				[0.4 granite 0.4 scale 1.5]
				[0.5 bumps 0.242 scale 2.25]
				[1 granite 0.4 scale 1]
					}
				scale 3
				}
		rotate <-23,0,0>
		rotate <0,-25,0>
		}

////////////

#declare Planet3 =
sphere {<0,0,0>, 8
	pigment {
        gradient y
        turbulence 0.05
        omega 0.75
        lambda 3
        colour_map {
        [0.0 rgb <0,0.5,0.3>]
        [0.15 rgb <1,0.5,0>]
        [0.2 rgb <0.5,0.3,0.2>]
        [0.225 rgb <0.3,0.1,0>]
        [0.245 rgb <0.8,0.4,0.2>]
        [0.275 rgb <0.5,0.3,0.2>]
        [0.3 rgb <0.2,0.1,0>]
        [0.325 rgb <0.8,0.6,0.25>]
        [0.35 rgb <0.5,0.3,0>]
        [0.4575 rgb <0.8,0.4,0>]
        [0.56 rgb <0.7,0.4,0>]
        [0.6 rgb <0.2,0.1,0>]
        [0.65 rgb <1,0.5,0>]
        [0.675 rgb <1,0.5,0.5>]
        [0.7 rgb <0.7,0.5,0.2>]
        [0.725 rgb <0.5,0.18,0>]
        [0.775 rgb <1,0.5,0.3>]
        [0.8 rgb <1,0.5,0>]
        [0.825 rgb <0.8,0.25,0.02>]
        [0.85 rgb <0.6,0.3,0>]
        [0.875 rgb <0.65,0.35,0.261>]
        [0.9 rgb <1,0.5,0.2>]
        [0.95 rgb <1,1,1>]
        [1.0 rgb <0,0.5,0.3>]
                }
            scale 8
            }
	finish { Pldull }
    rotate <25,0,17>
	}

////////

#declare Planet4 =
sphere {<0,0,0>, 8
	pigment {
        bozo
        turbulence 1
        omega 0.75
        lambda 3
        colour_map {
            [0 rgb <1,1,0> ]
			[0.3 rgb <1,0.5,0>]
			[0.4 rgb 0.5]
			[0.5 rgb <1,1,0.5>]
			[1 rgb <0,0.5,0>]
            }
        scale 58
        }
	finish { Pldull }
	rotate <-13,60,0>
	}

////////////

#declare Planet5 =
    sphere {<0,0,0>, 1
    texture {
        pigment {
        bozo
        turbulence 3
        octaves 5
        lambda 3
        omega 0.3
        color_map {
            [0.25 rgb <0,0,1>]
            [0.465 rgb <0,0.75,1>]
            [0.75 rgb <0,0.5,0>]
            [0.85 rgb <0,0.7,0>]
            [1 rgb <1,0.7,0>]
                }
            scale 1
            }
        finish { Pldull }
        normal {
        bozo
        turbulence 3
        octaves 4
        lambda 3
        omega 0.43
        normal_map {
            [0.465 marble 0]
            [1 granite 1 scale 1]
                }
            scale 1
            }
        }
    texture {
        pigment { Cl1 scale <1,0.2,1> }
        finish { Pldull}
        }
    scale 8
    }

///////////////

#declare Planet6 =
    sphere {<0,0,0>, 1
    texture {
        pigment {
        agate
        color_map {
            [0.5 rgb <0,0,1>]
            [0.65 rgb <0,0.75,1>]
            [0.75 rgb <0,0.5,0>]
            [0.85 rgb <0,0.7,0>]
            [1 rgb <1,0.7,0>]
                }
            scale 3
            }
        finish { Pldull }
        normal {
        agate
        normal_map {
            [0.7 marble 0]
            [0.85 granite 1]
            [1 agate 1]
                }
            scale 3
            }
        }
    texture {
        pigment { Cl2 }
        finish { Pldull}
        }
    scale 8
    }


/////////////////////

#declare Planet7 =
sphere {<0,0,0>, 1
    texture {
        pigment {
        crackle
        turbulence 3
        omega 0.364
        color_map {
            [0.25 rgb <0,0,1>]
            [0.365 rgb <0,0.75,1>]
            [0.455 rgb <1,0.7,0>]
            [1 rgb <0.5,0.3,0>]
                }
            scale 2.5
            }
        finish { Pldull }
        }
    texture {
        pigment { Cl3 }
        finish { Pldull}
        }
    scale 8
    }

///////////////////

#declare Planet8 =
union {
    sphere {<0,0,0>, 1
    texture {
        pigment {
        granite
        omega 0.6364
        color_map {
            [0 rgb <0.6,0.3,0>]
            [0.6 rgb <0.85,0.5,0>]
            [1 rgb <0,0,1>]
                }
            scale 2.5
            }
        finish { Pldull }
        }
    texture { Cl1 scale <0.5,0.1,0.5> }    
      }
    torus { 1.25,0.025 scale <1,0.1,1> pigment { rgbt <1,0.65,0,0.26> } finish { Pldull }}
    torus { 1.5,0.025 scale <1,0.1,1> pigment { rgbt <1,0.65,0,0.2625> } finish { Pldull }}
    torus { 1.75,0.025 scale <1,0.1,1> pigment { rgbt <1,0.65,0,0.265> } finish { Pldull }}
    rotate <45,-25,0>
    scale 8
    }

//////////////////

#declare Planet9 =
    sphere {<0,0,0>, 1
    texture {
        pigment {
        wrinkles
        color_map {
            [0 rgb <0.6,0.853,0>]
            [0.4 rgb <0.6285,0.375,0>]
            [0.465 rgb <0,0.5,1>]
                }
            scale <2,1,2>*0.5
            }
        finish { Pldull }
        }
    texture { Cl3 scale 3 }    
    scale 8
    }

///////////
